Subject: Re: [mobile-ip] Draft 15

From: James Kempf <[email-masked]>
Date: Tue, 25 Sep 2001 08:57:11 -0700 (PDT)

Hi Charlie,

I had a suggestion for addition as the last paragraph in Section 6.5.
Section 6.5 discusses loosening the restriction on RA from 3 seconds
to between 0.5 and 1.5 second, in order to facilitate movement detection.
The text I'd be interested in seeing added is the following:

	In addition to increasing the frequency of advertisment,
	an access router MAY use any combination of mechanisms to
	detect when a mobile node has established a new link with the
	subnet serviced by the router and to inform the mobile node
	via a Router Advertisement of the mobile node's new
	point of attachment. An access router MAY unicast
	a Router Advertisement to a mobile node if it discovers
	that one has established a link, or it MAY multicast a
	Router Advertisement in response to link establishment
	rather than periodically. The intent is to speed up informing
	the mobile node of its new attachment point, to reduce the
	overall delay in establishing a new care of address.

The idea behind this text is to allow the access router the same
freedom to optimize as the mobile node is granted in the first
few paragraphs of Section 10, while still keeping the same simplicity,
generality, and interoperability of the standard MIPv6 movement detection 
algorithm.

Does this sound OK?

		jak

>X-mProtect: Mon, 24 Sep 2001 14:07:57 -0700 Nokia Silicon Valley Messaging 
Protection
>Date: Mon, 24 Sep 2001 14:07:53 -0700
>From: "Charles E. Perkins" <[email-masked]>
>To: Mobile IP Working Group <[email-masked]>
>CC: "Basavaraj Patil (NTC/Dallas)" <[email-masked]>, Phil Roberts 
<[email-masked]>
>Subject: [mobile-ip] Draft 15
>
>Hello folks,
>
>I have done a rough edit on revision 15 of Mobile IPv6.
>It needs some proofreading.  There may still be some problems
>left over because of eliminating the Mobile Router capability,
>and the "Prefix Length" field of the Binding Update.  Also,
>I am still puzzling over the e-mail about how a mobile node
>should get the link-layer address of the home agent when it
>returns home.
>
>Here is the current draft:
>	http://people.nokia.net/charlep/txt/mobilev6/mobilev6.txt
>
>
>
>Here is a list of changes:
>
>    -  Removed the Mobile Router Prefix Length Sub-Option
>   
>    -  Removed the Prefix Length field from the Binding Update.
>   
>    -  Reworded the specification so that the Home Agent now has to
>       perform Duplicate Address Detection for the mobile node's address
>       on all the prefixes for which the router is performing home agent
>       service.
>   
>    -  Removed the section about Mobile Routers
>   
>    -  Added the Authentication Data Sub-option; reorganized the section
>       about computing authentication data.
>    
>    -  Specified that the Home Agent lifetime is by default the same as
>       the Router lifetime, in a Router Advertisement.
>    
>    -  Specified that Binding Updates with zero lifetime and the 'A' bit
>       set should cause a Binding Acknowledgement to be sent back to the
>       Source IP address of the Binding Update.
>
>    -  Qualified the allowable times when a mobile node can send a
>       Binding Update to a correspondent node
>
>    -  Added text allowing the correspondent node to extend an existing
>       Routing Header by also including the care-of address as the entry
>       of a routing header to be visited immediately before the home
>       address.  In this way, for instance, the mobile node can be an
>       intermediate node of a path along the way to some other node.
>   
>    -  Removed the Home Address field from the Home Agent Address
>       Discovery Request Message.
>    
>    -  Noted that ICMP Unreachable forms a potential mechanism by which
>       a malicious node can cause a correspondent node to delete a valid
>       entry from its Binding Cache.
>
>    -  Specified that, when a router stops offering home agent services
>       by turning off the 'H' flag, the mobile node has to delete the
>       corresponding entry from its Home Agent list. 
>
>
>
>I'll wait a bit longer before sending it, depending on current
>mailing list discussion and any other comments that may be
>contributed.  Surely there will be some other changes that have
>to be made anyway, but it is possible to imagine that they will
>be small ones.
>
>
>Regards,
>Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 25 Sep 2001 12:49:34 -0700

Hello Jim,

> to between 0.5 and 1.5 second, in order to facilitate movement detection.

The lower limit is 0.05 seconds (I hope!).

>         point of attachment.

I have several comments on this.  First, I'm not so much adverse
to making clear that routers can employ varous mechanisms to
do motion detection.  But I am quite reluctant to go down the
path of specifying every conceivable circumstance.  I do not
subscribe to the theory that we have to say that a protocol
entity can only use protocol messages in exactly some set of
circumstances.  Instead, it is important to stick to what comes
out over the physical medium. From this, I would say that we
need to say that Router Advertisements can be sent by the router
at arbitrary times (but not to exceed the fastest rate) and with
periodicity in conformance to the values it advertises.

>                               An access router MAY unicast
>         that one has established a link,

If this isn't already obvious from the previous parts of
the specfication, then we should make it so.  For instance,
section 6.5 already says:

   Thus, to provide good support for mobile nodes, Mobile IPv6 relaxes
   this limit such that routers MAY send unsolicited multicast Router 
   Advertisements more frequently.

Your sentence would logically come after this one, if more needs
to be said.

>                                           or it MAY multicast a
>         rather than periodically.

Here, wouldn't it be important to limit the use of multicast?
Unicast would be better.  If the mobile node's IP address is
unavailable, then maybe the multicast IP packet would be sent
to the mobile node's specific layer-2 address.  Do you think
it's important to have this multicast feature?

>                                    The intent is to speed up informing

Again, I'd rather avoid trying to specify intentions, if possible.

> generality, and interoperability of the standard MIPv6 movement detection

I agree that we should allow access routers to do whatever they can
do to increase the performance of Mobile IPv6.

Regards,
Charlie P.